DynArrayOperations (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynArrayOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynArray

All Known Implementing Classes:
  _DynArrayStub

public interface DynArrayOperations
extends DynAnyOperations

DynArray objects support the manipulation of IDL arrays. Note that the dimension of the array is contained in the TypeCode which is accessible through the type attribute. It can also be obtained by calling the component_count operation.

Method Summary
`DynAny[]` | `get_elements_as_dyn_any()` Returns the elements of the DynArray as DynAnys.
`Any[]` | `get_elements()` Returns the elements of the DynArray.
`void` | `set_elements_as_dyn_any(DynAny[] value)` Sets the DynArray to contain the passed elements.
`void` | `set_elements(Any[] value)` Sets the DynArray to contain the passed elements.

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_elements

    public Any[] get_elements()

  Returns the elements of the DynArray.

### set_elements

    public void set_elements(Any[] value)
                      throws TypeMismatch,
                             InvalidValue

  Sets the DynArray to contain the passed elements.

  Throws:
    `TypeMismatch` - if one or more elements have a type that is inconsistent with the DynArrays TypeCode
    `InvalidValue` - if the sequence does not contain the same number of elements as the array dimension

### get_elements_as_dyn_any

    public DynAny[] get_elements_as_dyn_any()

  Returns the elements of the DynArray as DynAnys.

### set_elements_as_dyn_any

    public void set_elements_as_dyn_any(DynAny[] value)
                                 throws TypeMismatch,
                                        InvalidValue

  Sets the DynArray to contain the passed elements.

  Throws:
    `TypeMismatch` - if one or more elements have a type that is inconsistent with the DynArrays TypeCode
    `InvalidValue` - if the sequence does not contain the same number of elements as the array dimension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.